Bug 1794926 - Search Page: No way to tell difference between resources with the same `kind` in different API groups [openshift-4.4]
Summary: Search Page: No way to tell difference between resources with the same `kind`...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Zac Herman
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-25 14:15 UTC by Samuel Padgett
Modified: 2020-05-04 11:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
Search page (661.66 KB, image/png)
2020-01-25 14:15 UTC, Samuel Padgett
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4303 0 None closed Bug 1794926: Search - Identify kind with more detail 2020-04-22 16:25:54 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:27:10 UTC

Description Samuel Padgett 2020-01-25 14:15:05 UTC
Created attachment 1655261 [details]
Search page

For instance, operations.openshift.io and config.openshift.io both have a Console resource. If you select both in the search page, there's no way to tell them apart. (See screenshot.)

Comment 1 Zac Herman 2020-01-27 20:00:16 UTC
Discussed with UXD.  We will come up with something shortly.

Comment 2 bpeterse 2020-02-07 04:54:09 UTC
Just to enchance the confusion, they are both also named "cluster":

- operations.openshift.io,  Console, cluster
- config.openshift.io, Console, cluster

Comment 5 shahan 2020-02-18 08:29:13 UTC
Console will show the apigroup, apiversion when searching same name resources.
4.4.0-0.nightly-2020-02-17-211020

Comment 7 errata-xmlrpc 2020-05-04 11:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.